Bug 861926 - activationkey_clone fails
activationkey_clone fails
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: spacecmd (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 07:30 EDT by David Juran
Modified: 2013-07-02 11:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-02 11:44:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Juran 2012-10-01 07:30:10 EDT
Description of problem:
The action 
activationkey_clone 1-vsb-application_option-sapdb2 -c 1-vsb-application_base-db2_common
fails with the error 

ERROR: redstone.xmlrpc.XmlRpcFault: Key has not been assigned base channel for VSB QA RHN Tools for RHEL (v. 6 for 64-bit x86_64)

Version-Release number of selected component (if applicable):
spacecmd-1.8.14-1
Red Hat Satellite 5.4.1

How reproducible:
Every time


Steps to Reproduce:
1. activationkey_clone 1-vsb-application_option-sapdb2 -c 1-vsb-application_base-db2_common
Comment 2 Magnus Glantz 2012-10-31 05:37:35 EDT
Works for me using spacecmd-1.8.15-1.el5 and RHN Satellite 5.3:

spacewalk-moon-0.5.23-35.el5sat
spacewalk-setup-jabberd-1.2.1-2.el5sat
spacewalk-backend-server-1.2.13-58.el5sat
spacewalk-backend-iss-1.2.13-58.el5sat
spacewalk-setup-1.2.6-11.el5sat
spacewalk-java-lib-1.2.39-108.el5sat
spacewalk-taskomatic-1.2.39-108.el5sat
spacewalk-config-1.2.2-7.el5sat
spacewalk-backend-config-files-1.2.13-58.el5sat
spacewalk-pxt-1.2.7-20.el5sat
spacewalk-common-1.2.1-4.el5sat
spacewalk-backend-libs-1.2.13-58.el5sat
spacewalk-java-1.2.39-108.el5sat
spacewalk-backend-1.2.13-58.el5sat
spacewalk-backend-config-files-common-1.2.13-58.el5sat
spacewalk-backend-config-files-tool-1.2.13-58.el5sat
spacewalk-backend-package-push-server-1.2.13-58.el5sat
spacewalk-base-minimal-1.2.7-20.el5sat
spacewalk-schema-1.2.21-15.el5sat
spacewalk-grail-1.2.7-20.el5sat
spacewalk-selinux-1.2.1-5.el5sat
spacewalk-ssl-cert-check-2.0-1.el5sat
spacewalk-monitoring-1.1.1-1.el5sat
spacewalk-certs-tools-1.1.1-2.el5sat
spacewalk-backend-sql-oracle-1.2.13-58.el5sat
spacewalk-html-1.2.7-20.el5sat
spacewalk-backend-sql-1.2.13-58.el5sat
spacewalk-backend-app-1.2.13-58.el5sat
spacewalk-backend-iss-export-1.2.13-58.el5sat
spacewalk-backend-applet-1.2.13-58.el5sat
spacewalk-reports-1.2.2-4.el5sat
spacewalk-sniglets-1.2.7-20.el5sat
spacewalk-dobby-1.2.7-20.el5sat
spacewalk-backend-tools-1.2.13-58.el5sat
spacewalk-utils-1.2.1-3.el5sat
spacewalk-cypress-0.5.23-35.el5sat
spacewalk-java-oracle-1.2.39-108.el5sat
spacewalk-java-config-1.2.39-108.el5sat
spacewalk-backend-xmlrpc-1.2.13-58.el5sat
spacewalk-backend-upload-server-1.2.13-58.el5sat
spacewalk-base-1.2.7-20.el5sat
spacewalk-monitoring-selinux-1.1.1-3.el5sat
spacewalk-oracle-1.2.1-4.el5sat
spacewalk-slf4j-1.6.1-4.el5sat
spacewalk-search-1.2.3-3.el5sat
spacewalk-backend-xml-export-libs-1.2.13-58.el5sat
spacewalk-backend-xp-1.2.13-58.el5sat
spacewalk-admin-1.2.4-3.el5sat


spacecmd {SSM:0}> activationkey_clone 1-linux-ts31 -c 1-linux-ts31-clone
INFO: Getting activation key details for 1-linux-ts31
INFO: Cloning key 1-linux-ts31 as 1-linux-ts31-clone

spacecmd {SSM:0}> activationkey_details 1-linux-ts31
Key:                    1-linux-ts31
Description:            Linux TS 3.1
Universal Default:      False
Usage Limit:            0
Deploy Config Channels: False

Software Channels
-----------------
linux-ts-3.1-v6-x86_64-ts3.1
 |-- linux-ts-3.1-x86_64-ts
 |-- ts31-rhel-x86_64-server-optional-6
 |-- ts31-rhel-x86_64-server-supplementary-6
 |-- ts31-rhn-tools-rhel-x86_64-server-6

Configuration Channels
----------------------
ts3.1

Entitlements
------------
provisioning_entitled

System Groups
-------------
TS3.1

Packages
--------
ltrace

spacecmd {SSM:0}> activationkey_details 1-linux-ts31-clone
Key:                    1-linux-ts31-clone
Description:            Linux TS 3.1
Universal Default:      False
Usage Limit:            0
Deploy Config Channels: False

Software Channels
-----------------
linux-ts-3.1-v6-x86_64-ts3.1
 |-- linux-ts-3.1-x86_64-ts
 |-- ts31-rhel-x86_64-server-optional-6
 |-- ts31-rhel-x86_64-server-supplementary-6
 |-- ts31-rhn-tools-rhel-x86_64-server-6

Configuration Channels
----------------------
ts3.1

Entitlements
------------
provisioning_entitled

System Groups
-------------
TS3.1

Packages
--------
ltrace

spacecmd {SSM:0}>
Comment 3 Fedora End Of Life 2013-04-03 12:26:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Miroslav Suchý 2013-07-02 11:44:04 EDT
Epel5 now have spacecmd-1.9.4-1.el5 which should fix this issue.

Note You need to log in before you can comment on or make changes to this bug.